"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = __importDefault(require("@curveball/controller"));
const hal = __importStar(require("../formats/hal"));
const usersService = __importStar(require("../service"));
class GroupCollectionController extends controller_1.default {
    async get(ctx) {
        const groups = await usersService.findAll();
        ctx.response.body = hal.collection(groups);
    }
}
exports.default = new GroupCollectionController();
//# sourceMappingURL=collection.js.map