import { Principal, Group } from '../user/types';
export declare function isGroup(principal: Principal): principal is Group;
/**
 * Finding group members
 */
export declare function findMembers(group: Group): Promise<Principal[]>;
export declare function addMemberToGroup(group: Group, user: Principal): Promise<void>;
export declare function replaceMembers(group: Group, users: Principal[]): Promise<void>;
/**
 * Finding group members
 */
export declare function findGroupsForPrincipal(principal: Principal): Promise<Group[]>;
