import Controller from '@curveball/controller';
import { Context } from '@curveball/core';
/**
 * The /validate-bearer endpoint can check if a bearer token
 * is valid and return some information about it.
 *
 * It is superseded by the standard /introspect endpoint
 * and should no longer be used
 */
declare class ValidateBearerController extends Controller {
    post(ctx: Context): Promise<void>;
}
declare const _default: ValidateBearerController;
export default _default;
