export declare type PrincipalType = 'user' | 'app' | 'group';
export declare const PrincipalTypeList: PrincipalType[];
export declare type Principal = User | Group | App;
export declare type User = {
    id: number;
    identity: string;
    nickname: string;
    created: Date;
    type: 'user';
    active: boolean;
};
export declare type Group = {
    id: number;
    identity: string;
    nickname: string;
    created: Date;
    type: 'group';
    active: boolean;
};
export declare type App = {
    id: number;
    identity: string;
    nickname: string;
    created: Date;
    type: 'app';
    active: boolean;
};
export declare type NewPrincipal = Omit<Principal, 'id'>;
