"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addUserToGroupMemberForm = void 0;
const templates_1 = require("../../templates");
function addUserToGroupMemberForm(user, msg, error) {
    return templates_1.render('add-member-to-group', {
        title: 'Add User To Group',
        msg: msg,
        error,
        type: 'number',
        action: `/user/${user.id}/member/new`
    });
}
exports.addUserToGroupMemberForm = addUserToGroupMemberForm;
//# sourceMappingURL=html.js.map