"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const database_1 = __importDefault(require("../database"));
const fields = [
    'id',
    'group_name',
    'group_id',
    'created',
];
// This function is for finding a user if they're in a group
async function findByUser(user) {
    const query = `SELECT ${fields.join(', ')} FROM group WHERE group_id = ?`;
    const result = await database_1.default.query(query, [user.id]);
}
exports.findByUser = findByUser;
//# sourceMappingURL=service.js.map