import { Context } from '@curveball/core';
import { Principal } from '../user/types';
import { Privilege, PrivilegeMap } from './types';
export declare function getPrivilegesForPrincipal(principal: Principal): Promise<PrivilegeMap>;
export declare function hasPrivilege(who: Principal | Context, privilege: string, resource?: string): Promise<boolean>;
export declare function findPrivileges(): Promise<Privilege[]>;
export declare function findPrivilege(privilege: string): Promise<Privilege>;
export declare function addPrivilegeForUser(user: Principal, privilege: string, resource: string): Promise<void>;
